/* General */
h1 {
    margin: 0;
}

.section h3 {
    height: 20px;
    line-height: 20px;
    margin: 0;
}

.more {
    font-style: italic;
    text-align: center;
}

/* Races */
.races .section {
    margin-right: 0;
}

.race-preview dt,
.race-preview dd {
    float: left;
    height: 14px;
    line-height: 14px;
    margin-top: 2px;
}

.race-preview dt,
.race-preview .venue,
.race-preview .weather,
.race-result .result {
    clear: left;
}

.race-preview dt {
    margin-right: 3px;
}

.race-preview .venue {
    color: #333333;
    font-style: italic;
    text-align: right;
    width: 100%;
}

.race-preview .weather .precip {
    margin-left: -3px;
}

.race-result dt,
.race-result .cancelled,
.race-result .mugshot,
.race-result .participant,
.race-result .team,
.race-result .more {
    float: left;
    margin-top: 2px;
}

.race-result dt,
.race-result .participant,
.race-result .team {
    height: 16px;
    line-height: 16px;
}

.race-result .mugshot {
    clear: left;
    margin-right: 2px;
}

.race-result dt {
    text-align: center;
}

.race-result dt.row_head {
    width: calc(100% - 87px);
}

.race-result .pos {
    width: 20px;
}

.race-result .participant,
.race-result .team {
    box-sizing: border-box;
    margin-left: 2px;
    padding-left: 3px;
}

.race-result .participant:not(.no-team) {
    width: calc(100% - 231px);
}

.race-result .participant.no-team {
    width: calc(100% - 109px);
}

.race-result .team {
    text-overflow: clip;
    width: 120px;
}

.race-result .result {
    height: 20px;
    line-height: 20px;
    width: 100%;
}

.race-result .cancelled {
    width: 100%;
}

.race-result .cancelled .box {
    font-style: italic;
    margin: 0;
    text-align: center;
}

/* News */
.news {
    margin-right: 0;
    margin-top: 0;
}

.news li {
    float: left;
}

.news .image,
.news .headline-info,
.news .more {
    clear: left;
}

.news .image,
.news .headline,
.news .headline-info,
.news .headline-only,
.news .more {
    margin-top: 2px;
}

.news .image {
    background-position: center center;
    background-size: cover;
    height: 90px;
    width: 160px;
}

.news .image-left {
    margin-right: 2px;
}

.news .image-right {
    float: right;
    margin-left: 2px;
}

.news .headline,
.news .headline-only,
.news .more {
    height: 20px;
    line-height: 20px;
}

.news .headline,
.news .info,
.news .summary {
    width: calc(100% - 162px);
}

.news .summary,
.news .headline-only {
    box-sizing: border-box;
    padding: 0 3px;
}

.news .headline {
    text-align: center;
}

.news .info {
    color: #333333;
    height: 16px;
    line-height: 16px;
}

.news .pub {
    padding-left: 3px;
}

.news .time {
    float: right;
    font-style: italic;
    padding-right: 3px;
}

.news .summary {
    min-height: 54px;
    padding-bottom: 3px;
    text-align: justify;
}

.news .headline-only,
.news .more {
    width: 100%;
}

/* Standings */
.standings .pos,
.standings .name,
.standings .pts,
.standings .more {
    float: left;
    height: 18px;
    line-height: 18px;
    margin-top: 2px;
}

.standings .pos {
    clear: left;
    width: 20px;
}

.standings .name,
.standings .pts {
    margin-left: 2px;
}

.standings .pos,
.standings .pts {
    text-align: center;
}

.standings .name {
    padding-left: 3px;
    width: calc(100% - 77px);
}

.standings .pts {
    width: 50px;
}

.standings .more {
    clear: left;
    width: 100%;
}

/* Responsive: Mobile */
@media only screen and (max-width: 480px) {
    h1 {
        font-size: 1.6em;
    }

    .standings {
        margin-right: 0;
    }

    .standings.grid-t-1-2:first-of-type {
        margin-bottom: 0;
    }
}

/* Responsive: Tablet */
@media only screen and (min-width: 481px) and (max-width: 1001px) {
    .standings {
        margin-right: 0;
    }

    .standings.grid-t-1-2 {
        box-sizing: border-box;
        width: calc(50% - 2px);
    }
}

/* Responsive: Mobile & Tablet Portrait */
@media only screen and (max-width: 768px) {
    .races .section:first-of-type {
        margin-bottom: 0;
    }
}

/* Responsive: Tablet Landscape & Desktop */
@media only screen and (min-width: 769px) {
    .races fieldset {
        box-sizing: border-box;
        width: calc(50% - 2px);
    }
}

/* Responsive: Non-Desktop */
@media only screen and (max-width: 1001px) {
    .col-left,
    .col-right {
        margin-right: 2px;
    }

    .news {
        margin-bottom: 0;
    }
}

/* Responsive: Desktop */
@media only screen and (min-width: 1002px) {
    .col-right {
        align-content: flex-start;
    }

    .standings:first-of-type {
        margin-bottom: 0;
    }
}
